Skip to main content
POST
/
v2
/
admin
/
reporting
/
queues
/
stats
Admin Queue Stats
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/queues/stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "queueId": [
    1
  ],
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "queueIds": [
    123
  ],
  "results": [
    {
      "inboundAnswered": 123,
      "talkTime": 123,
      "ringTime": 123,
      "waitTime": 123,
      "outbound": 123,
      "outboundTalkTime": 123,
      "exitTimeout": 123,
      "exitKeypress": 123,
      "abandons": 123,
      "abandonsUnder10": 123,
      "totalCallbacks": 123,
      "successfulCallbacks": 123,
      "failedCallbacks": 123,
      "queueId": 123,
      "queueName": "<string>",
      "totalInbound": 123,
      "answeredUnder30": 123,
      "ringNoAnswer": 123,
      "noAnswerRingTime": 123,
      "minWaitTime": 123,
      "maxWaitTime": 123,
      "totalOutbound": 123,
      "distribution": "<string>",
      "date": "<string>",
      "peerName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
queueId
number[]
required

Queue IDs to include in the report

Required range: x > 0
startDate
string
required

Start date for the report period

endDate
string
required

End date for the report period

distribution

Time distribution grouping (daily, weekly, hourly, monthly, or totals)

Available options:
weekly
users

Filter by user peer names, or 'ALL' for all users

tag
string[]

Filter by call tags

Minimum array length: 1
callOutcome
number[]

Filter by call outcome IDs

Minimum array length: 1
reportType

Report type (Scheduled, Export, or Live)

Available options:
Scheduled

Response

Queue statistics or export acknowledgement

Queue statistics

queueIds
number[]
required

Queue IDs included

results
object[]
required

Queue statistics results